跳转到内容

Recover an operation without repeating the provider call

GET
/t1/operations/tasks/{id}
curl --request GET \
--url https://api.tansr.com/t1/operations/tasks/example \
--header 'x-tansr-app-token: <x-tansr-app-token>'
id
required
string
<= 96 characters

Application-private operation receipt; result may expire independently of billing and idempotency.

Media typeapplication/json
object
protocol
required
string
Allowed value: nonchat-operations-v1
taskId
required
string
requestId
required
string
operation
required
string
model
required
string
status
required
Any of:
string
Allowed value: preparing
pollIntervalMs
required
integer
>= 1000
retainedUntil
required
string
resultAvailable
required
boolean
result
meter
object
errorCode
string
billing
required
object
state
required
Any of:
string
Allowed value: unreserved
cost
required
Any of:
string
Example
{
"protocol": "nonchat-operations-v1",
"status": "preparing",
"billing": {
"state": "unreserved"
}
}